Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class Argon2Parameters.Builder

    java.lang.Object
      org.bouncycastle.crypto.params.Argon2Parameters.Builder

Enclosing class:
  Argon2Parameters

public static class Argon2Parameters.Builder
extends java.lang.Object

Constructor Summary
`Argon2Parameters.Builder()`
`Argon2Parameters.Builder(int type)`

Method Summary
`Argon2Parameters` | `build()`
`void` | `clear()`
`Argon2Parameters.Builder` | `withAdditional(byte[] additional)`
`Argon2Parameters.Builder` | `withCharToByteConverter(CharToByteConverter converter)`
`Argon2Parameters.Builder` | `withIterations(int iterations)`
`Argon2Parameters.Builder` | `withMemoryAsKB(int memory)`
`Argon2Parameters.Builder` | `withMemoryPowOfTwo(int memory)`
`Argon2Parameters.Builder` | `withParallelism(int parallelism)`
`Argon2Parameters.Builder` | `withSalt(byte[] salt)`
`Argon2Parameters.Builder` | `withSecret(byte[] secret)`
`Argon2Parameters.Builder` | `withVersion(int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Argon2Parameters.Builder

    public Argon2Parameters.Builder()

### Argon2Parameters.Builder

    public Argon2Parameters.Builder(int type)

Method Detail

### withParallelism

    public Argon2Parameters.Builder withParallelism(int parallelism)

### withSalt

    public Argon2Parameters.Builder withSalt(byte[] salt)

### withSecret

    public Argon2Parameters.Builder withSecret(byte[] secret)

### withAdditional

    public Argon2Parameters.Builder withAdditional(byte[] additional)

### withIterations

    public Argon2Parameters.Builder withIterations(int iterations)

### withMemoryAsKB

    public Argon2Parameters.Builder withMemoryAsKB(int memory)

### withMemoryPowOfTwo

    public Argon2Parameters.Builder withMemoryPowOfTwo(int memory)

### withVersion

    public Argon2Parameters.Builder withVersion(int version)

### withCharToByteConverter

    public Argon2Parameters.Builder withCharToByteConverter(CharToByteConverter converter)

### build

    public Argon2Parameters build()

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD